

<div id="d-content" class="shadowed d-content">
    <div class="content">
        <div class="block d-grey-toolbar">
            <h4 style="margin-left: 4px; margin-top:2px;">Добавление процесса брута</h4>
        </div>
<script src="{$wa_app_static_url}js/addProcess.js?v={$wa->version()} "></script>
        <div class="block double-padded">
            <div class="preloadBrut">
                <form action = "" method="post" enctype="multipart/form-data" id="brut1">

                    <div class="field-group">
                        <h2>Тип брута</h2>
                        <div class="field">
                            <div class="name bold">
                                Тип брута
                            </div>
                            <div class="value div-menu div-type">
                                <div class="active"><a data-type="1">Брут одного сайта с одним логином</a></div>
                                <div><a data-type="2">Брут одного сайта с несколькими логинами</a></div>
                                <div><a data-type="3">МультиБрут сайтов с одним логином</a></div>
                                <div><a data-type="4">МультиБрут сайтов с несколькими логинами(не рекоменд)</a></div>
                                <div><a data-type="5">FTP Брут с одним логином</a></div>
                                <div><a data-type="6">FTP Брут с несколькими логинами</a></div>
                                <input type="hidden" name="type" id="form-type" value="1">
                                <br>
                            <span class="hint">

                            </span>
                            </div>
                        </div>
                    </div>
                    <div class="field-group">
                        <h2 class="type1 type2 type3 type4">Данные доменов</h2>
                        <h2 class="type5 type6">Данные серверов</h2>
                        <div class="field">
                            <div class="name bold">
                                Протокол
                            </div>
                            <div class="value">
                                <input type="text" class="type1 type2 type3 type4"  name="protocol" id="form-form-protocol" value="http://" >
                               <select name="ftp_protocol"   class="type6 type5">
                                   <option value="ftp" >ftp</option>
                                   <option value="sftp">sftp</option>
                               </select>
                                <br>
                                <span class="hint type1 type2 type3 type4">
                                     http:// , https://
                                </span>
                            </div>
                        </div>
                        <div class="field">
                            <div class="name bold">
                                Порт
                            </div>
                            <div class="value">
                                <input type="text"   name="port" id="form-port" value="" >
                                <br>
                                <span class="hint">
                                    Можно не указывать
                                </span>
                            </div>
                        </div>
                        <div class="field">
                            <div class="name bold">
                              <span class="type1 type2">Домен</span>
                                <span class="type3 type4">Домены</span>
                                <span class="type6 type5">Сервер</span>
                            </div>
                            <div class="value">
                                <input type="text" name="domain[0]" id="form-domain-url" value="vcosmetics.ru" class="type1 type2 type6 type5">
                               <textarea name="domains" id="form-domain-url" class="type3 type4">
vcosmetics.ru
silk.ru
                               </textarea>
                                <br>
                            <span class="hint">

                            </span>
                            </div>
                        </div>
                        <div class="field type1 type2 type3 type4">
                            <div class="name bold">
                                Адрес формы
                            </div>
                            <div class="value">
                                <input type="text" name="form_url" id="form-form-url" value="/published/login.php">
                                <br>
                                <span class="hint">
                                    Адрес от корня сайта /index.php
                                </span>
                            </div>
                        </div>
                        <div class="field type1 type2 type3 type4">
                            <div class="name bold">
                                Тип авторизации
                            </div>
                            <div class="value">
                                <select name="auth_type" onchange="setAuthType(this);">
                                    <option value="form_auth">Форма Сайта</option>
                                    <option value="base_auth">Base Auth</option>
                                </select>
                                <br>
                                <span class="hint">
                                   Веб форма или Base Auth
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="field-group">
                        <h2>Логины</h2>
                        <div class="field  type1 type2 type3 type4 form_auth">
                            <div class="name bold">
                                Имя поля Логина
                            </div>
                            <div class="value">
                                <input type="text" name="login[field]" id="form-login-field" value="log">
                                <br>
                            <span class="hint">

                            </span>
                            </div>
                        </div>
                        <div class="field">
                            <div class="name bold">
                                <span class="type1 type3 type5">Логин</span>
                                <span class="type2 type4 type6">Логины</span>
                            </div>
                            <div class="value">
                                <input type="text" name="login[value]" id="form-login-value" value="admin" class="type1 type3 type5">
                                 <textarea name="login[values]" id="form-logins-values" class="type2 type4 type6">
admin
administrator
root</textarea>
                                <br>
                            <span class="hint">

                            </span>
                            </div>
                        </div>
                    </div>
                    <div class="field-group">
                        <h2>Пароли</h2>
                        <div class="field  type1 type2 type3 type4 form_auth">
                            <div class="name bold">
                                Имя поля Пароля
                            </div>
                            <div class="value">
                                <input type="text" name="password[field]" id="form-password-field" value="pass">
                                <br>
                            <span class="hint">

                            </span>
                            </div>
                        </div>
                        <div class="field">
                            <div class="name bold">
                                <span >Пароли</span>
                            </div>
                            <div class="value div-menu div-pass">
                                <div class="active"><a data-type="list">Выбрать из готовых списков</a></div>
                                <div><a data-type="spisok">Добавить списком</a></div>
                                <div><a data-type="file">Загрузить файл</a></div>
                                <input type="hidden" name="password[type]" id="form-password-type" value="list">
                                <br>
                                <div id="pass-type-list" class="pass-type">
                                    <table class="zebra">
                                        <tr> <th>ID</th>
                                            <th>NAME</th>
                                            <th>COUNT PASSWORDS</th>
                                            <th>CREATE DATE</th></tr>
                                        {foreach from=$lists item=l}
                                        <tr>  <td> {$l.id}<input type="radio" name="password[list]" id="form-password-list" value="{$l.id}"></td>
                                            <td> {$l.name}</td>
                                            <td> {$l.count_passwords}</td>
                                            <td> {$l.create_datetime}</td></tr>

                                        {/foreach}
                                    </table>
                                </div>
                                <div id="pass-type-spisok" class="pass-type">
                                     <textarea name="password[spisok]" id="form-password-spisok">
                                     </textarea>
                                </div>
                                <div id="pass-type-file" class="pass-type">
                                    <input type="file" name="password[file]">
                                    <input type="file" name="password[file1][]">
                                    <input type="file" name="password[file1][]">
                                    <input type="file" name="password[file1][test]">
                                </div>
                            <span class="hint">

                            </span>
                            </div>
                        </div>
                    </div>
                    <div class="field-group type1 type2 type3 type4 form_auth">
                        <h2>Доп. Данные</h2>
                        <div class="field  type1 type2 type3 type4 ">
                            <div class="name bold">
                              Доп поля формы
                            </div>
                            <div class="value">
                                <table width="100%" border="0" cellpadding="2">
                                    <tbody>
                                    <tr>
                                        <td width="50%">Имя поля</td>
                                        <td width="50%">Значение</td>
                                    </tr>
                                    <tr class="dobpole">
                                        <td><a onclick="dobpole();">
                                            <i class="icon16 add"></i></a></td>
                                        <td></td>
                                    </tr>
                                    </tbody></table>
                                <br>
                            <span class="hint">

                            </span>
                            </div>
                        </div>
                        <div class="field  type1 type2 type3 type4 ">
                            <div class="name bold">
                                COOKIE
                            </div>
                            <div class="value">
                                <table width="100%" border="0" cellpadding="2">
                                    <tbody>
                                    <tr>
                                        <td width="50%">Имя cookie</td>
                                        <td width="50%">Значение</td>
                                    </tr>
                                    <tr class="dobcookie">
                                        <td><a onclick="dobcookie();">
                                            <i class="icon16 add"></i></a></td>
                                        <td></td>
                                    </tr>
                                    </tbody></table>
                                <br>
                            <span class="hint">

                            </span>
                            </div>
                        </div>
                    </div>

                    <div class="field-group type1 type2 type3 type4 form_auth">
                        <h2>Индикация</h2>
                        <div class="field type1 type2 type3 type4">
                            <div class="name bold">
                                Тип индикации
                            </div>
                            <div class="value">
                                <select name="indication[type]">
                                    <option value="redirect">редирект</option>
                                    <option value="text">Присутствие текста</option>
                                    <option value="notext">Отсутствие текста</option>
                                    <option value="header">Присутствие заголовка</option>
                                </select>
                                <br>
                            <span class="hint">

                            </span>
                            </div>
                        </div>
                        <div class="field type1 type2 type3 type4">
                            <div class="name bold">
                                Индикация успешного входа
                            </div>
                            <div class="value">
                                <input type="text" name="indication[value]">
                                <br>
                            <span class="hint">

                            </span>
                            </div>
                        </div>
                    </div>
                    <div class="field-group type1 type2 type5 type6">
                        <h2>Таймаут</h2>
                        <div class="field">
                            <div class="name bold">
                                Задержка между запросами
                            </div>
                            <div class="value">
                                <input type="number" value="400" id="sleep" name="sleep"> Мс
                                <br>
                            <span class="hint">

                            </span>
                            </div>
                        </div>

                    </div>
                    <input type="submit" value="gg">
                    </form>
                    </div>
            </div>
            <div class="clear"></div>

        </div>
    </div>
</div>
